CVE Vulnerabilities

CVE-2014-6054

Published: Oct 06, 2014 | Modified: Oct 23, 2020
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:N/I:N/A:P
RedHat/V2
6 MODERATE
AV:N/AC:M/Au:S/C:P/I:P/A:P
RedHat/V3
Ubuntu

The rfbProcessClientNormalMessage function in libvncserver/rfbserver.c in LibVNCServer 0.9.9 and earlier allows remote attackers to cause a denial of service (divide-by-zero error and server crash) via a zero value in the scaling factor in a (1) PalmVNCSetScaleFactor or (2) SetScale message.

Affected Software

Name Vendor Start Version End Version
Libvncserver Libvncserver * 0.9.9
Red Hat Enterprise Linux 6 RedHat libvncserver-0:0.9.7-7.el6_6.1 *
Red Hat Enterprise Linux 7 RedHat libvncserver-0:0.9.9-9.el7_0.1 *
Red Hat Enterprise Linux 7 RedHat kdenetwork-7:4.10.5-8.el7_0 *
Italc Ubuntu trusty *
Italc Ubuntu upstream *
Italc Ubuntu xenial *
Krfb Ubuntu devel *
Krfb Ubuntu trusty *
Libvncserver Ubuntu devel *
Libvncserver Ubuntu lucid *
Libvncserver Ubuntu precise *
Libvncserver Ubuntu trusty *

References